aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorterminaldweller <thabogre@gmail.com>2022-02-21 15:22:59 +0000
committerterminaldweller <thabogre@gmail.com>2022-02-21 15:22:59 +0000
commit26d4cd29fe3e7cfc59c7964ddd054e83ce4d95dd (patch)
tree8669bd7744e81f9575264dc8db0055e6641e1618 /bin
parentupdated haproxy for cargo (diff)
downloadscripts-26d4cd29fe3e7cfc59c7964ddd054e83ce4d95dd.tar.gz
scripts-26d4cd29fe3e7cfc59c7964ddd054e83ce4d95dd.zip
updates
Diffstat (limited to 'bin')
-rwxr-xr-xbin/checkstyle3
-rwxr-xr-xbin/color7
-rwxr-xr-xbin/google-java-format3
3 files changed, 10 insertions, 3 deletions
diff --git a/bin/checkstyle b/bin/checkstyle
new file mode 100755
index 0000000..40869c3
--- /dev/null
+++ b/bin/checkstyle
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exec env javac /home/devi/checkstyle/checkstyle-9.3-all.jar "$@"
diff --git a/bin/color b/bin/color
index d96fde3..dfc4e7b 100755
--- a/bin/color
+++ b/bin/color
@@ -1,6 +1,7 @@
-#!/bin/sh
-for i in {0..255};do
- if (( i % 12 == 0 )); then echo;fi
+#!/bin/bash
+set -e
+for i in $(seq 0 255);do
+ if [ $(( i % 12 )) = 0 ];then echo ;fi
printf "\x1b[38;5;${i}mcolour${i}\x1b[0m\t"
done
echo
diff --git a/bin/google-java-format b/bin/google-java-format
new file mode 100755
index 0000000..43ca97f
--- /dev/null
+++ b/bin/google-java-format
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exec env javac /home/devi/google-java-format/google-java-format-1.13.0-all-deps.jar "$@"